Title: Minimal Viable Product
Date: 2020-01-01 
Category: other
Tags: meta, procrastination
Status: draft

> Piece by piece, putting it together  
> Bit by bit, only way to make a work of art  
>
> —"Putting It Together" by Stephen Sondheim

[(Previously.)](/2017/Nov/the-blockhead/)

In his book _Breakdown of Will_, psychologist G. Ainslie convincingly argues that the phenomenon of _weakness of will_—people doing things that they'll later regret, or failing to do things that they'll later wish they had—can be ultimately traced to psychological processes being well-modeled as discounting future rewards _hyperbolically_: that is, in inverse proportion to how far off in the future they are (plus a constant, to prevent instantaneous rewards from blowing up on the division by zero; no one is _so_ impatient that getting what she wants _right now_ is _literally infinitely valuable_). This is in contrast to the _exponential_ discounting of conventional economic models, where future rewards are discounted in proportion to an exponential function of the additive inverse of how far off they are.

The problem with hyperbolic discounting (which is not shared by exponential discounting) is that it's not invariant under translation in time: the question of whether you prefer a reward of _r_ at time _t_ or a reward of 2<em>r</em> at time (_t_ + _c_) shouldn't depend on _t_, because then versions of you at different times are in conflict with each other: the agent just before the smaller-sooner reward wants to grab it in her unthinking short-term greed, even _knowing_ that her future self will damn her for it (_her_ wiser, more cunning greed being fixed on the later-and-greater alternative).

Consider the plight of a(n aspiring—an ostensible?) writer, who has been hoping (_planning_ would be too strong a word) to write a great Sequence of nuanced commentaries on weighty matters so dear to her heart that they, perhaps more than anything else, constitute _the theme_ that her life is _about_. And yet hour turns into day turns into week turns into month turns into year (perhaps _only_ a year _so far_), and but a slow tickle of content emerges from her RSS feed—and even that tends to be meandering observations and silly word games that manage to avoid the serious (earnest, lucid, heartbreaking) analysis that are to constitute the fruition of the theme.

Our heroine is trapped in an intertemporal conflict. Her overself distributed through time needs to _work_, to _write_ in order to be completed, but the creature-self of any individual timeslice shrinks away from the (small, but _very close_ (thanks goodness for that additive constant!)) sting of facing the truth, the exertion to name it, the responsibility of thinking honestly, the fear of being damned by her peers for thinking the wrong thing (and far worse, saying it in public, where someone could get hurt).

One way to combat the irrationality of hyperbolic discounting is to bundle choices together, taking their shared logical context into account. The overself is summoned from the cooperation of the timesliced creature-selves. Any one creature-self might hope to benefit from the joy of some less dangerous diversion, leaving her sister-creatures to the toil of completing the overself—but all the creatures 


Mathematicians relate their Axiom of Choice—that there exists a way to select a single element from each of an infinite family of set—to a well-ordering principle—that every set can be said to have a _least_ element.

[...]

And be forgiven?

POINTS TO HIT IN THE REMAINDER OF THIS POST—  
 * explain bundling and defensible Schelling points  
 * posit that there is no "true" utility above that of the processes negotiating  
 * explain that the 80/20 of blooking _now_ meshes well with the reality of hyp  

eighty/twenty ... sixty-four/four ... fifty-one-and-two-tenths/twelve-and-four-fifths

functional decision theory: https://arxiv.org/abs/1710.05060
